package cn.com.ctop.kuaishou.modules.ai.service;

import cn.com.ctop.kuaishou.modules.ai.entity.KuaishouAppPackage;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.api.vo.Result;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @Description: 项目绑定的应用
 * @Author: jeecg-boot
 * @Date: 2021-05-12
 * @Version: V1.0
 */
public interface IKuaishouAppPackageService extends IService<KuaishouAppPackage> {

    Result<Object> importExcel(MultipartFile file, Long projectId, Integer platform, String imageUrl) throws Exception;

    Result<Object> pushAppPackage(Long id, JSONArray accountIds,JSONObject requestJson);

    Result<Object> queryPushResults(String id, JSONArray accountIds, String status);

    List<Long> queryByAppVersion(Long projectId,String appVersion,Integer dataStatus);

    void createAppAndGroupRel(JSONObject request);

    Result<Object> queryPageList(KuaishouAppPackage kuaishouAppPackage, Integer pageNo, Integer pageSize);

    Result<Object> getRelatedAccounts(Long id);

    Result<Object> getRelatedGroups(Long id, Long accountId);

    Result<Object> getAccountByProjectId(Long projectId, String id);

    String getDownloadPath(String url);

    Result<Object> getProjectAppList(Long projectId);

    Result<Object> getAppsDetail(List<Long> list);

    JSONObject queryAppId(Long appTemId, Long accountId);
}
